## net.i2p.router.peermanager
Class PeerManager

    java.lang.Object
      net.i2p.router.peermanager.PeerManager

     class PeerManager

extends java.lang.Object

Manage the current state of the statistics

Constructor Summary
`PeerManager(RouterContext context)`

Method Summary
`java.util.List` `getPeersByCapability(char capability)`
`(package private) void` `loadProfiles()`
`void` `removeCapabilities(Hash peer)`
`void` `renderStatusHTML(java.io.Writer out)`
`(package private) java.util.Set` `selectPeers()`
`(package private) java.util.List` `selectPeers(PeerSelectionCriteria criteria)` Find some peers that meet the criteria and we have the netDb info for locally
`Hash` `selectRandomByCapability(char capability)`
`void` `setCapabilities(Hash peer, java.lang.String caps)`
`(package private) void` `storeProfile(Hash peer)`
`(package private) void` `storeProfiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeerManager

    public PeerManager(RouterContext context)

Method Detail

### storeProfiles

    void storeProfiles()

### selectPeers

    java.util.Set selectPeers()

### storeProfile

    void storeProfile(Hash peer)

### loadProfiles

    void loadProfiles()

### selectPeers

    java.util.List selectPeers(PeerSelectionCriteria criteria)

  Find some peers that meet the criteria and we have the netDb info for locally

### setCapabilities

    public void setCapabilities(Hash peer,
                                java.lang.String caps)

### removeCapabilities

    public void removeCapabilities(Hash peer)

### selectRandomByCapability

    public Hash selectRandomByCapability(char capability)

### getPeersByCapability

    public java.util.List getPeersByCapability(char capability)

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`